Bug 1468618 - [abrt] cinnamon: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.Cinnamon was not provided by any .service files
[abrt] cinnamon: connection.py:651:call_blocking:dbus.exceptions.DBusExceptio...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
25
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alternative GTK desktop environments
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:721885b219c7c88501c0a53aaf2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 10:46 EDT by alain.thiaville
Modified: 2017-07-07 10:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 10:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.16 KB, text/plain)
2017-07-07 10:46 EDT, alain.thiaville
no flags Details
File: environ (1.44 KB, text/plain)
2017-07-07 10:46 EDT, alain.thiaville
no flags Details

  None (edit)
Description alain.thiaville 2017-07-07 10:46:20 EDT
Version-Release number of selected component:
cinnamon-3.2.8-18.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/cinnamon-subprocess-wrapper 2 xdg-open /home/ath/.cinnamon/glass.log
executable:     /usr/bin/cinnamon-subprocess-wrapper
kernel:         4.10.13-200.fc25.i686+PAE
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.Cinnamon was not provided by any .service files

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3.5/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3.5/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.Cinnamon': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/cinnamon-subprocess-wrapper", line 16, in <module>
    dbus = session_bus.get_object("org.Cinnamon", "/org/Cinnamon")
  File "/usr/lib/python3.5/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3.5/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3.5/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3.5/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3.5/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.Cinnamon was not provided by any .service files

Local variables in innermost frame:
self: <dbus._dbus.SessionBus (session) at 0xb6d26f5c>
timeout: -1.0
method: 'StartServiceByName'
signature: 'su'
bus_name: 'org.freedesktop.DBus'
dbus_interface: 'org.freedesktop.DBus'
kwargs: {}
byte_arrays: False
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
get_args_opts: {'byte_arrays': False}
object_path: '/org/freedesktop/DBus'
args: ('org.Cinnamon', 0)
Comment 1 alain.thiaville 2017-07-07 10:46:25 EDT
Created attachment 1295326 [details]
File: backtrace
Comment 2 alain.thiaville 2017-07-07 10:46:26 EDT
Created attachment 1295327 [details]
File: environ
Comment 3 leigh scott 2017-07-07 10:49:24 EDT
Update to cinnamon-3.4.x as I can't fix old release versions.

Note You need to log in before you can comment on or make changes to this bug.